﻿using Microsoft.Xna.Framework.Content;
using Newtonsoft.Json;

namespace RecrownedAthenaeum.ContentReaders
{
    class NinePatchDataReader : ContentTypeReader<SpecialTypes.NinePatch>
    {
        protected override SpecialTypes.NinePatch Read(ContentReader input, SpecialTypes.NinePatch existingInstance)
        {
            string serialized = input.ReadString();

            return JsonConvert.DeserializeObject<SpecialTypes.NinePatch>(serialized);
        }
    }
}
